package com.bytesw.bytebot.model.converters;

import com.bytesw.bytebot.model.enums.AgentStatusEnum;
import org.apache.camel.Converter;

import javax.persistence.AttributeConverter;

@Converter
public class AgentStatusConverter implements AttributeConverter<AgentStatusEnum, String> {
    @Override
    public String convertToDatabaseColumn(AgentStatusEnum agentStatusEnum) {
        if (agentStatusEnum == null) return null;
        return agentStatusEnum.getName();
    }

    @Override
    public AgentStatusEnum convertToEntityAttribute(String s) {
        return AgentStatusEnum.fromString(s);
    }
}
